--- title: "getLoadBalancerSslCertificateList (Deprecated)" slug: "networking-loadbalancing-getloadbalancersslcertificatelist" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-loadbalancing-getloadbalancersslcertificatelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getLoadBalancerSslCertificateList (Deprecated) Available in Classic Get the SSL certificate used by a load balancer. Note Since the getLoadBalancerSslCertificateList API has been deprecated, use [getCertificateList](/docs/en/security-certificatemanager-getcertificatelist). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /loadbalancer/v2/getLoadBalancerSslCertificateList | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-loadbalancing#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateName` | String | Optional | Filter by load balancer certificate name to query. - Query all certificates you own. | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/loadbalancer/v2/getLoadBalancerSslCertificateList?certificateName=YOUR_CERTIFICATE' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [SslCertificate](/docs/en/common-apidatatype-sslcertificate) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-loadbalancing#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 7b1ce8fa-fc3f-4f69-b199-fdeac3773e79 0 success 1 YOUR_CERTIFICATE YOUR_PRIVATE_KEY YOUR_PUBLIC_KEY ```